Bug 1413022 - perl-Test-Taint-1.06-13.fc26 FTBFS randomly: Failed test '$ENV{TEST_ACTIVE} is tainted'
Summary: perl-Test-Taint-1.06-13.fc26 FTBFS randomly: Failed test '$ENV{TEST_ACTIVE} i...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Test-Taint
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 12:32 UTC by Petr Pisar
Modified: 2017-02-15 08:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 08:45:19 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 119897 None None None 2017-01-18 10:15:32 UTC

Description Petr Pisar 2017-01-13 12:32:40 UTC
perl-Test-Taint-1.06-13.fc26 fails to build sometimes because a t/tainted_ok.t test fails randomly:

t/tainted.t ............ ok
#   Failed test '$ENV{TEST_ACTIVE} is tainted'
#   at t/tainted_ok.t line 12.
# Looks like you failed 1 test of 3.
t/tainted_ok.t ......... 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/3 subtests 
t/tainted_ok_deeply.t .. ok

This can be related to new Test::Simple that inject non-tainted environment variables <https://rt.cpan.org/Public/Bug/Display.html?id=119169>.

Comment 1 Petr Pisar 2017-01-18 10:15:32 UTC
It's the same bug. I posted the fix to the upstream <https://rt.cpan.org/Public/Bug/Display.html?id=119897>.

I can apply it to Fedora if you don't mind?

Comment 2 Ralf Corsepius 2017-01-18 11:51:07 UTC
(In reply to Petr Pisar from comment #1)
> It's the same bug. I posted the fix to the upstream
> <https://rt.cpan.org/Public/Bug/Display.html?id=119897>.
Actually, I do not understand these "Taint" bugs at all, but I also haven't yet tried to investigate what these are trying to solve.

My gut feeling is, these are an unasked-for incompatibility elsewhere, worth being considered to be reverted there ;)
 
> I can apply it to Fedora if you don't mind?
I'd propose to wait for a couple of days to give upstream a chance to answer and then to apply it. I.e. feel free to go ahead on Monday next week ;)

Comment 3 Ralf Corsepius 2017-02-15 08:45:19 UTC
Patch applied and package rebuilt in rawhide.


Note You need to log in before you can comment on or make changes to this bug.